Endian Bugtracker
Endian Issue Tracker





Please see now our new Bugtracker system: JIRA








View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000937Endian FirewallOther Servicespublic2008-06-12 12:122010-09-21 20:33
Reporterpeter-endian 
Assigned To 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusconfirmedResolutionopen 
PlatformOSOS Version
Product Version 
Target VersionfutureFixed in Version 
Summary0000937: dhcp: no possibility to use secondary subnets
Descriptionthere is no possibility to use secondary subnets of a zone in dhcp configuration.

If the other subnets would be configured without ip range, one may assign fixed leases of secondary subnets to a mac address.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0001306)
peter-endian (administrator)
2008-06-12 17:47

"If the other subnets would be configured without ip range, one may assign fixed leases of secondary subnets to a mac address." -> this is not possible

a possible solution would be, give the possibility to create an instance per interface and filter dhcp traffic between interfaces of the same bridge
(0001784)
peter-endian (administrator)
2008-11-13 10:19

at least there should be the possibility to select the subnet which should be used in a zone. currently only the primary subnet will be used
(0001785)
peter-endian (administrator)
2008-11-13 10:48

from isc.org:
"All versions of the server have the ability to support so-called VLAN configurations, where more than one IP subnet is run on the same network wire, possibly with some traffic isolation performed in the switch. It is also possible to list client identifications in the configuration file and then prevent the server from interacting with clients that have not been so identified. "

we need somthing like that
(0001787)
peter-endian (administrator)
2008-11-13 15:55

dhcp relay is easily supportable by changing the dhcp configuration slightly in order not to have per-zone configuration, but per instance/subnet.

an instance is a subnet declaration, of a subnet which not necessarily must be directly attached to the firewall.
within an instance the already implemented parameter are configurable like our zone configruation already has.

with another configuration possibility, say checkbox, or the like, it must be possible then to define on which interfaces the dhcp server should listen

another checkbox could cause the dhcp server instance to be a relay to a specified server of the specified interface instead of being an authoritative server

- Issue History
Date Modified Username Field Change
2008-06-12 12:12 peter-endian New Issue
2008-06-12 17:47 peter-endian Note Added: 0001306
2008-06-12 17:47 peter-endian Target Version 2.2 => 2.3
2008-09-10 17:58 chris-endian Target Version 2.3 => future
2008-11-13 10:19 peter-endian Note Added: 0001784
2008-11-13 10:48 peter-endian Note Added: 0001785
2008-11-13 15:55 peter-endian Note Added: 0001787
2010-09-21 20:33 peter-endian Status new => confirmed

Copyright © 2005-2008 Endian, SRL. All rights reserved.


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker